org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcColumnMeta

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.odbc.OdbcColumnMeta

    public class OdbcColumnMeta
    extends Object

SQL listener column metadata.

### Field Summary

Fields
`String` `columnName` Column name.
`int` `precision` Precision.
`int` `scale` Scale.

### Constructor Summary

Constructors
Constructor and Description
`OdbcColumnMeta(GridQueryFieldMetadata info, ClientListenerProtocolVersion ver)`
`OdbcColumnMeta(String schemaName, String tableName, String columnName, Class<?> dataType, int precision, int scale, ClientListenerProtocolVersion ver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`
`void` `write(BinaryRawWriter writer)` Write in a binary format.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### columnName

    public final String columnName

Column name.

#### precision

    public final int precision

Precision.

#### scale

    public final int scale

Scale.

### Constructor Detail

#### OdbcColumnMeta

    public OdbcColumnMeta(String schemaName,
                          String tableName,
                          String columnName,
                          Class<?> dataType,
                          int precision,
                          int scale,
                          ClientListenerProtocolVersion ver)

Parameters:
  `schemaName` - Cache name.
  `tableName` - Table name.
  `columnName` - Column name.
  `dataType` - Data type.
  `precision` - Precision.
  `scale` - Scale.
  `ver` - Client version.

#### OdbcColumnMeta

    public OdbcColumnMeta(GridQueryFieldMetadata info,
                          ClientListenerProtocolVersion ver)

Parameters:
  `info` - Field metadata.
  `ver` - Client version.

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### write

    public void write(BinaryRawWriter writer)

Write in a binary format.

Parameters:
  `writer` - Binary writer.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019